For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate a call
      • GETList calls
      • GETGet a call
      • POSTJoin a call
      • POSTEnd a call
      • GETGet call recording
LogoLogo
SupportDashboard
EndpointsCalls

Get a call

GET
/calls/:call_id
GET
/api/v1/calls/:call_id
$curl https://tryenvoy.ai/api/v1/calls/call_id \
> -H "Authorization: Bearer <token>"
1{
2 "id": "call_00000000-0000-0000-0000-000000000000",
3 "status": "SCHEDULED",
4 "call_time": "2024-01-15T09:30:00Z",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "call_direction": "INBOUND",
8 "phone_number": "string",
9 "to_number": "string",
10 "from_number": "string",
11 "call_start_time": "2024-01-15T09:30:00Z",
12 "call_end_time": "2024-01-15T09:30:00Z",
13 "call_type": "string",
14 "load_id": "load_00000000-0000-0000-0000-000000000000",
15 "organization_id": "org_00000000-0000-0000-0000-000000000000",
16 "created_by_id": "usr_00000000-0000-0000-0000-000000000000",
17 "recording_status": "string",
18 "load_number": "string"
19}

Get details for a specific phone call.

Authentication: Supports API key and bearer token authentication.

Was this page helpful?
Previous

Join a call

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

call_idstringRequiredformat: "uuid"

Headers

X-Organization-IDstring or nullOptional

Response

Successful Response
idstringformat: "^call_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
statusenum
call_timedatetime
created_atdatetime
updated_atdatetime
call_directionenum or null
Allowed values:
phone_numberstring or null

Customer phone number (derived from direction)

to_numberstring or null
from_numberstring or null
call_start_timedatetime or null
call_end_timedatetime or null
call_typestring or null
load_idstringformat: "^load_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
organization_idstringformat: "^org_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
created_by_idstringformat: "^usr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
recording_statusstring or null
load_numberstring or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error